Subject: bug#29430: 26.0.90; C-M-backspace is undefined

From: Devon Sean McCullough <[email-masked]>
Date: Wed, 29 Nov 2017 13:02:21 -0500

> On Nov 25, 2017, at 6:14 PM, Richard Stallman <[email-masked]> wrote:
> It is not just on NextStep.
> I think I saw one of these kill X windows on GNU/Linux.

*BLUSH* I flipped a bit, here's the correct code:

(when (eq 'ns (window-system))
 ;; These were once dangerous in various situations,
 ;; so let's not encourage just anyone to use them.
 (define-key global-map [C-M-delete] 'backward-kill-sexp)
 (define-key global-map [C-M-backspace] 'backward-kill-seep))

We’ve all seen MS-Whatever's and X11’s peculiar responses to C-M-Del
— but not in recent years — however NeXTStep has always been immune.

		Peace
			—Devon

P.S. Perhaps the Emacs manual should have a stolen key chord appendix
with recipes for regaining and remapping keys under MS, NS, X11, etc., e.g.,

    MacOSX Apple Menu > System Preferences... > Keyboard > Keyboard > Modifier Keys...

has user preferences to put the <Control> keys next to the <Space> bar,
disable <CapsLock> and so on.  I even put <Rubout> left of <A>
by disabling <CapsLock> and configuring a third party app.

Gnu screen steals C-a so the -e switch deserves mention, e.g.,

    screen -e '^^^^'

sets the screen intercept character to Control-Caret
which Emacs conveniently reserves for that purpose,
Many "cloud"///////network sys admins use this a lot.